Skip to main content
POST
/
v1
/
boards
/
{boardId}
/
nodes
Create a node
curl --request POST \
  --url https://api.chatgrid.ai/v1/v1/boards/{boardId}/nodes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "chatNode",
  "position": {
    "x": 250.5,
    "y": 120
  },
  "data": {
    "label": "Research Agent"
  }
}
'
{
  "object": "node",
  "data": {
    "id": "e5f6a7b8-c9d0-1234-efab-345678901234",
    "node_type": "chatNode",
    "position_x": 250.5,
    "position_y": 120,
    "node_data": {
      "label": "Research Agent"
    },
    "parent_node_id": null,
    "created_at": "2026-03-15T10:31:00.000Z",
    "updated_at": "2026-03-15T10:31:00.000Z"
  }
}

Authorizations

Authorization
string
header
required

Pass your API key (prefixed cgk_) or a Supabase JWT in the Authorization: Bearer <token> header.

Path Parameters

boardId
string<uuid>
required

Board UUID.

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

Body

application/json
type
string
required

The node type identifier.

Required string length: 1 - 100
Example:

"chatNode"

position
object
required
data
object

Arbitrary metadata for the node.

Example:
{ "label": "Research Agent" }

Response

Node created.

object
enum<string>
Available options:
node
data
object